Get Copy Job
curl --request GET \
--url https://api.aspect.inc/fs-items/copy/{job_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.aspect.inc/fs-items/copy/{job_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.aspect.inc/fs-items/copy/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aspect.inc/fs-items/copy/{job_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aspect.inc/fs-items/copy/{job_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aspect.inc/fs-items/copy/{job_id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aspect.inc/fs-items/copy/{job_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "running",
"created": "2023-11-07T05:31:56Z",
"progress": {
"percent": 123,
"items_done": 123,
"items_total": 123,
"failed_items": 123,
"waiting_items": 123
},
"label": "<string>",
"finished_at": "2023-11-07T05:31:56Z",
"result": {
"items_skipped": true,
"failed_item_details": [
{
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"error": "<string>"
}
],
"error": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Filesystem Items
Get Copy Job
Get the status of a copy job. Only the user who started the copy can see it.
GET
/
fs-items
/
copy
/
{job_id}
Get Copy Job
curl --request GET \
--url https://api.aspect.inc/fs-items/copy/{job_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.aspect.inc/fs-items/copy/{job_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.aspect.inc/fs-items/copy/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aspect.inc/fs-items/copy/{job_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aspect.inc/fs-items/copy/{job_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aspect.inc/fs-items/copy/{job_id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aspect.inc/fs-items/copy/{job_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "running",
"created": "2023-11-07T05:31:56Z",
"progress": {
"percent": 123,
"items_done": 123,
"items_total": 123,
"failed_items": 123,
"waiting_items": 123
},
"label": "<string>",
"finished_at": "2023-11-07T05:31:56Z",
"result": {
"items_skipped": true,
"failed_item_details": [
{
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"error": "<string>"
}
],
"error": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.
Path Parameters
Response
Successful Response
Status of a copy job.
Copy job ID
Status of the job
Available options:
running, completed, failed When the job was started
How far the job has got
Show child attributes
Show child attributes
Short description of what is being copied: the item's name, or the number of items
When the job completed or failed
The outcome of the job. Set once the job completes or fails.
Show child attributes
Show child attributes
⌘I